/********************************************************************************************************/
// Locale default pref for K-Meleon 
/********************************************************************************************************/
pref("general.useragent.locale", "en-US");
pref("general.useragent.contentlocale", "en-US");

//page encoding
pref("intl.charset.default", "UTF-8");	
pref("intl.charset.detector", "universal_charset_detector");

// K-Meleon Forums Search
pref("kmeleon.plugins.macros.search.kmforums", "http://kmeleonbrowser.org/forum/search.php?forum_id=0&amp;match_forum=ALL&amp;match_dates=0&amp;match_type=ALL&amp;search=");


// Default Search Engine URL  (MUST be one out of kmeleon.plugins.macros.search.engine[0..?].url) 
pref("kmeleon.general.searchEngine", "https://www.google.com/search?client=kmeleon&btnI=1&q=");
pref("kmeleon.general.searchEngineName", "Google - I'm feeling lucky");

// Web Search (engine[0..POSITIVE_INFINITY] possible) 
// Make sure these engines are defined in search.xml! 
pref("kmeleon.plugins.macros.search.engine0.name", "Google - I'm feeling lucky");
pref("kmeleon.plugins.macros.search.engine0.url", "https://www.google.com/search?client=kmeleon&btnI=1&q=");
pref("kmeleon.plugins.macros.search.engine1.name", "Google");
pref("kmeleon.plugins.macros.search.engine1.url", "https://www.google.com/search?client=kmeleon&q=");
pref("kmeleon.plugins.macros.search.engine2.name", "Google Images");
pref("kmeleon.plugins.macros.search.engine2.url", "https://www.google.com/images?client=kmeleon&q=");
pref("kmeleon.plugins.macros.search.engine3.name", "Start Page");
pref("kmeleon.plugins.macros.search.engine3.url", "https://startpage.com/do/search?cat=web&query=");
pref("kmeleon.plugins.macros.search.engine4.name", "DuckDuckGo");
pref("kmeleon.plugins.macros.search.engine4.url", "https://duckduckgo.com/?q=");
pref("kmeleon.plugins.macros.search.engine5.name", "Wikipedia");
pref("kmeleon.plugins.macros.search.engine5.url", "https://en.wikipedia.org/w/index.php?search=");
pref("kmeleon.plugins.macros.search.engine6.name", "K-Meleon Forums Search");
pref("kmeleon.plugins.macros.search.engine6.url", "http://kmeleonbrowser.org/forum/search.php?forum_id=0&match_forum=ALL&match_dates=0&match_type=ALL&search=");

